# Uses of Interface
java.util.function.IntPredicate

Packages that use IntPredicate
Package
Description
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of IntPredicate in java.util.function

Methods in java.util.function that return IntPredicate
Modifier and Type
Method
Description
`default IntPredicate`
IntPredicate.`and(IntPredicate other)`
Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
`default IntPredicate`
IntPredicate.`negate()`
Returns a predicate that represents the logical negation of this predicate.
`default IntPredicate`
IntPredicate.`or(IntPredicate other)`
Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.
Methods in java.util.function with parameters of type IntPredicate
Modifier and Type
Method
Description
`default IntPredicate`
IntPredicate.`and(IntPredicate other)`
Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
`default IntPredicate`
IntPredicate.`or(IntPredicate other)`
Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.

## Uses of IntPredicate in java.util.stream

Methods in java.util.stream with parameters of type IntPredicate
Modifier and Type
Method
Description
`boolean`
IntStream.`allMatch(IntPredicate predicate)`
Returns whether all elements of this stream match the provided predicate.
`boolean`
IntStream.`anyMatch(IntPredicate predicate)`
Returns whether any elements of this stream match the provided predicate.
`default IntStream`
IntStream.`dropWhile(IntPredicate predicate)`
Returns, if this stream is ordered, a stream consisting of the remaining elements of this stream after dropping the longest prefix of elements that match the given predicate.
`IntStream`
IntStream.`filter(IntPredicate predicate)`
Returns a stream consisting of the elements of this stream that match the given predicate.
`static IntStream`
IntStream.`iterate(int seed, IntPredicate hasNext, IntUnaryOperator next)`
Returns a sequential ordered `IntStream` produced by iterative application of the given `next` function to an initial element, conditioned on satisfying the given `hasNext` predicate.
`boolean`
IntStream.`noneMatch(IntPredicate predicate)`
Returns whether no elements of this stream match the provided predicate.
`default IntStream`
IntStream.`takeWhile(IntPredicate predicate)`
Returns, if this stream is ordered, a stream consisting of the longest prefix of elements taken from this stream that match the given predicate.